org.apache.ignite.internal.visor.node

## Class VisorNodeSuppressedErrorsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<Map<UUID,Long>,Map<UUID,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>
  - - org.apache.ignite.internal.visor.node.VisorNodeSuppressedErrorsTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Map<UUID,Long>>,Map<UUID,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>>

    @GridInternal
    public class VisorNodeSuppressedErrorsTask
    extends VisorMultiNodeTask<Map<UUID,Long>,Map<UUID,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>

Task to collect last errors on nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeSuppressedErrorsTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.node.VisorNodeSuppressedErrorsTask.VisorNodeSuppressedErrorsJob` `job(Map<UUID,Long> arg)`
`protected Map<UUID,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodeSuppressedErrorsTask

    public VisorNodeSuppressedErrorsTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.node.VisorNodeSuppressedErrorsTask.VisorNodeSuppressedErrorsJob job(Map<UUID,Long> arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Map<UUID,Long>,Map<UUID,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected Map<UUID,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>> reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<Map<UUID,Long>,Map<UUID,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>,IgniteBiTuple<Long,List<IgniteExceptionRegistry.ExceptionInfo>>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016